Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 974106 - Packstack installation failed in Fedora18
Packstack installation failed in Fedora18
Status: CLOSED NEXTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: RHOS Maint
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 08:37 EDT by VijayKumar
Modified: 2015-06-04 17:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-16 07:36:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description VijayKumar 2013-06-13 08:37:02 EDT
Description of problem:
Installation of packstack is failing in Fedora18.

Error: 
Applying Puppet manifests...
Applying 192.168.0.1_prescript.pp
                                                                                            [ ERROR ]

ERROR : Error during puppet run : err: /Stage[main]/Packstack::Netns/Exec[netns_dependecy_install]/returns: change from notrun to 0 failed: yum update -y kernel iputils iproute returned 1 instead of one of [0] at /var/tmp/packstack/125ef71432b340e5b16f790440959d80/modules/packstack/manifests/netns.pp:13
Please check log file /var/tmp/packstack/20130613-151531-1gHS1o/openstack-setup.log for more information


Version-Release number of selected component (if applicable):
openstack-packstack-2013.1.1-0.14.dev622.fc19.noarch

How reproducible:


Steps to Reproduce:
1. sudo yum install -y http://rdo.fedorapeople.org/openstack/openstack-grizzly/rdo-release-grizzly.rpm
2.yum install -y openstack-packstack
3.packstack --allinone

Actual results:
Full output of packstack --allinone is mentioned below:

=====================================================================
[localuser@localhost ~]$ packstack --allinone
Welcome to Installer setup utility
Packstack changed given value  to required value /home/lcc/.ssh/id_rsa.pub

Installing:
Clean Up...                                            [ DONE ]
Setting up ssh keys...root@192.168.0.1's password:
                                 [ DONE ]
Adding pre install manifest entries...                 [ DONE ]
Adding MySQL manifest entries...                       [ DONE ]
Adding QPID manifest entries...                        [ DONE ]
Adding Keystone manifest entries...                    [ DONE ]
Adding Glance Keystone manifest entries...             [ DONE ]
Adding Glance manifest entries...                      [ DONE ]
Adding Cinder Keystone manifest entries...             [ DONE ]
Installing dependencies for Cinder...                  [ DONE ]
Checking if the Cinder server has a cinder-volumes vg...[ DONE ]
Adding Cinder manifest entries...                      [ DONE ]
Adding Nova API manifest entries...                    [ DONE ]
Adding Nova Keystone manifest entries...               [ DONE ]
Adding Nova Cert manifest entries...                   [ DONE ]
Adding Nova Conductor manifest entries...              [ DONE ]
Adding Nova Compute manifest entries...                [ DONE ]
Adding Nova Scheduler manifest entries...              [ DONE ]
Adding Nova VNC Proxy manifest entries...              [ DONE ]
Adding Nova Common manifest entries...                 [ DONE ]
Adding Openstack Network-related Nova manifest entries...[ DONE ]
Adding Quantum API manifest entries...                 [ DONE ]
Adding Quantum Keystone manifest entries...            [ DONE ]
Adding Quantum L3 manifest entries...                  [ DONE ]
Adding Quantum L2 Agent manifest entries...            [ DONE ]
Adding Quantum DHCP Agent manifest entries...          [ DONE ]
Adding Quantum Metadata Agent manifest entries...      [ DONE ]
Adding OpenStack Client manifest entries...            [ DONE ]
Adding Horizon manifest entries...                     [ DONE ]
Adding Swift Keystone manifest entries...              [ DONE ]
Adding Swift builder manifest entries...               [ DONE ]
Adding Swift proxy manifest entries...                 [ DONE ]
Adding Swift storage manifest entries...               [ DONE ]
Adding Swift common manifest entries...                [ DONE ]
Preparing servers...                                   [ DONE ]
Adding Nagios server manifest entries...               [ DONE ]
Adding Nagios host manifest entries...                 [ DONE ]
Adding post install manifest entries...                [ DONE ]
Installing Dependencies...                             [ DONE ]
Copying Puppet modules and manifests...                [ DONE ]
Applying Puppet manifests...
Applying 192.168.0.1_prescript.pp
                                                                                            [ ERROR ]

ERROR : Error during puppet run : err: /Stage[main]/Packstack::Netns/Exec[netns_dependecy_install]/returns: change from notrun to 0 failed: yum update -y kernel iputils iproute returned 1 instead of one of [0] at /var/tmp/packstack/125ef71432b340e5b16f790440959d80/modules/packstack/manifests/netns.pp:13
Please check log file /var/tmp/packstack/20130613-151531-1gHS1o/openstack-setup.log for more information

Additional information:
 * A new answerfile was created in: /home/lcc/packstack-answers-20130613-151531.txt
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * Did not create a cinder volume group, one already existed
 * To use the command line tools you need to source the file /root/keystonerc_admin created on 192.168.0.1
 * To use the console, browse to http://192.168.0.1/dashboard
 * To use Nagios, browse to http://192.168.0.1/nagios username : nagiosadmin, password : 8761d9dbc6de4068
[localuser@localhost ~]$
=====================================================================

Expected results:

Packstack should install and bringup openstack successfully.

Additional info:
The machine is behind a proxy server.
SELinux is disabled.
OS is Fedora18
Comment 1 Alvaro Lopez Ortega 2014-01-15 06:51:29 EST
This issue is fixe in recent versions.
Comment 2 VijayKumar 2014-02-05 03:51:22 EST
Can someone verify the fix in the recent versions and close this bug.

Note You need to log in before you can comment on or make changes to this bug.